%define qtdir /usr/lib/qt-1.45
%define kdeprefix %{_prefix}
%define sourcedir unstable/apps/admin/

Name: kcrontab
Summary: A crontab editor developed for KDE.
Version: 0.2.2
Release: 5
Serial: 1
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tgz
Patch0: %{name}-0.2.2-qtfix.patch
Patch1: kcrontab-0.2.2-misc.patch
License: GPL
Group: Applications/System
Buildroot: %{_tmppath}/%{kdename}-buildroot
Requires: kdesupport
Prefix: %{kdeprefix}
BuildPrereq: qt1x-devel, kdelibs-devel
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
ExcludeArch: ia64

%description
Kcrontab provides a K Desktop Environment (KDE) visual interface for
editing individual crontabs.  Kcrontab saves the user from having to
remember what each field in a crontab means, in terms of hours/days,
etc.  You'll need to have X and KDE installed to use kcrontab.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .qtfix
%patch1 -p1 -b .misc
find . -name .deps | xargs rm -fr

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir} ROOT=/
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

make -f Makefile.dist

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="${CXX}" CC="${CC}" \
     CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (kde1 ist now installed as default)
- rebuilt against the kde1

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45
- use the configure macro

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- rebuild for 6.1

* Tue Apr 20 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
